TableDataElement (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.html
Class TableDataElement

    java.lang.Object
      com.bbn.openmap.util.html.WrapElement
          com.bbn.openmap.util.html.TableDataElement

All Implemented Interfaces:
  Element, TableCellElement

    public class TableDataElement

extends WrapElement
implements TableCellElement

This class is used for a basic cell in a html table

Field Summary

Fields inherited from class com.bbn.openmap.util.html.WrapElement
`e, paramString, wrapString`

Constructor Summary
`TableDataElement(Element e)` Construct a data cell with an element
`TableDataElement(java.lang.String s)` Construct a data cell with a string
`TableDataElement(java.lang.String paramString, Element e)` Construct a data cell with an element
`TableDataElement(java.lang.String paramString, java.lang.String s)` Construct a data cell with a string

Method Summary

Methods inherited from class com.bbn.openmap.util.html.WrapElement
`generate, getElement, setElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.util.html.Element
`generate`

Constructor Detail

### TableDataElement

    public TableDataElement(Element e)

  Construct a data cell with an element

  Parameters:
    `e` - the element to put in the cell

### TableDataElement

    public TableDataElement(java.lang.String s)

  Construct a data cell with a string

  Parameters:
    `s` - the string to put in the cell

### TableDataElement

    public TableDataElement(java.lang.String paramString,
                            Element e)

  Construct a data cell with an element

  Parameters:
    `e` - the element to put in the cell

### TableDataElement

    public TableDataElement(java.lang.String paramString,
                            java.lang.String s)

  Construct a data cell with a string

  Parameters:
    `s` - the string to put in the cell

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details